Stuck with a Locked 5.01 3GS?

Discussion in 'Jailbreaks and iOS Hacks' started by groove-agent, Nov 13, 2011.

  1. groove-agent macrumors 6502a

    Joined:
    Jan 13, 2006
    #1
    Hey all,

    I had an unlocked 3GS baseband 6.15.00 and after switching to OSX Tiger, wanted to take advantage of IOS 5. After spending hours and hours making sense of conflicting webpages (most likely due to the date they were written), I ended up upgrading to 5.01 via iTunes and trying to jailbreak/unlock.

    I could jailbreak 5.01 using redsn0w, but ultrasn0w doesn't appear to be unlocking as the phone keeps saying "searching". I tried creating custom ispws but iTunes will not restore to anything but factory 5.01 (including a snowbreeze cooked 5.01 ispw). I haven't been successful downgrading back to 4.2.1 as iTunes will say it is "not eligible" along with every other ispw i try. I did use TinyUmbrella to save the blobs although I'm not sure where or when those will be useful.

    I'm assuming that I have to wait for ultrasn0w to become compatible with 5.01? My brain is going to explode trying to figure this out lol.

    Fortunately I have a backup 3G to use in the meantime.

    Thanks in advance.
     
  2. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #2
    You can go down to 4.1 and unlock.
    Next time ask and research first before you do anything.
     
  3. groove-agent thread starter macrumors 6502a

    Joined:
    Jan 13, 2006
    #3
    Thanks for your reply.

    Yes I did research for many hours (as I mentioned above). One site suggested I could upgrade, then jailbreak 5. So that's what I did. I think however at the time it was written, 5.01 was not out and I think iTunes was more forgiving.

    I've tried restoring to my original baseband but it's saying it's not eligible. However it turns out that I was using TinyUmbrella incorrectly.

    For anyone wondering how to downgrade their iPhone iOS", check out this video: http://www.youtube.com/watch?v=z-pW6F8zQ6E on TinyUmbrella . I followed the directions and it worked.

    My question from here is ... are the SHSH specific to the unique iPhone or the model/fireware? Could someone use TinyUmbrella to downgrade from 5.01 to 5.0? (since 5.0 can be currently unlocked)
     
  4. labman macrumors 604

    labman

    Joined:
    Jun 9, 2009
    Location:
    Mich near Detroit
    #4
    yes shsh blobs unique to each device or iphone.. also note that firmware and baseband are different.. firmware can be downgraded with shsh blobs but baseband can not. :(
     
  5. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #5
    Yes, shsh blobs are unique to each phone.
    And no, 5.0 cannot be unlocked. I dont know where you got this from?
    And no you cant downgrade to 5.0 even if you did have blobs for that version cause Apple has implemented a stricted shsh security check.
    Your ipad BB is unlockable so if you have any blobs 4.3.5 or below you can JB and unlock. If not Apple is still signing 4.1 for the 3GS for some odd reason so you could restore to a custom 4.1 ipsw created with pwnage or snowbreeze.
     

Share This Page